<!-- Creado: Janeth Cuevas. Se crea la vista para filtrar por Nombre -->
@php
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) );
    
    
@endphp
@extends('layouts.app')

@section('title', 'Modificar Paciente')
@section('breadcrumb')
    <li class="active">Archivo</li>
@endsection
@section('styles')
    <style>


    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')
  <div class="row" id="upd_registro_pac" name="upd_registro_pac">
    <!-- <div id="add_nuevo_pac" name="add_nuevo_pac"></div> -->
  </div>
@endsection


@section('scripts')
<script type="text/javascript">
   $(document).ready(function(){
    $('#txtVigenciaIni').datepick({dateFormat: 'dd/mm/yyyy'});
    $('#txtVigenciaFin').datepick({dateFormat: 'dd/mm/yyyy'});
    jqGetAjaxShort("archivo_busquedaPaciente","upd_registro_pac", {btnRegistrarPac: '0',
          opcEditarPac: '1',  opcNuevaCita: '0',});
   }
    );


   

// ------------------------------Modificar Paciente----------------------------------------------------
   $(document).on('click', '#resultadosContainer #divCmdRegistrar_pac #cmdActualizar_pac', function () {

  
    
      var Derechohabiencia = $('#edit_vCat_Derechohabiencia #vCat_Derechohabiencia').val();
      var folio = $('#folio_afiliacion #txtFolio').val();
      var Consecutivo = $('#folio_afiliacion #txtConsecutivo').val(); 
      var VigenciaIni = $('#vigencia #txtVigenciaIni').val(); 
      var VigenciaFin = $('#txtVigenciaFin').val();
      var NExp = $('#divNumExp #txtNExp').val();  
      var clave_pac = $('#h_clave_pac').val();
      var tipo = $('#resultadosContainer #h_tipo').val(); 

     if(Derechohabiencia =='' || Derechohabiencia =='0')
     {
      $.notify("Favor de especificar -Derechohabiencia-");
      $("#edit_vCat_Derechohabiencia #vCat_Derechohabiencia").focus();
      return false  

     }


      if(( Derechohabiencia=='15') && ($("#folio_afiliacion #txtFolio").val().length < 10)  ){
            $.notify("Favor de capturar -Folio Seguro Popular-");
            $("#folio_afiliacion #txtFolio").focus();
            return false  

        } 

   
       
      
      if((Derechohabiencia=='15') && (Consecutivo < 1 || Consecutivo =='') ) {

        $.notify("Favor de capturar -Consecutivo- de folio de afiliación");
        $("#folio_afiliacion #txtConsecutivo").focus();
         return false  

      }
  
      if((Derechohabiencia=='15') && (VigenciaIni.length != 10) ) {
        $.notify("Favor de capturar -Inicio de Vigencia-");
        $("#txtVigenciaIni").focus();
         return false  

      }

      if(( Derechohabiencia=='15') && (VigenciaFin.length != 10)  ) {
        $.notify("Favor de capturar -Fin de Vigencia-");
        $("#txtVigenciaFin").focus();
         return false  

      }

      var Curp = $('#curp #txtCurp').val();
      if(Curp.length < 18 ){
        $.notify("Es necesario que proporcione -Curp-", "error");
        $('#curp #txtCurp').focus();
        return false;
      } 
//      var EntidadAfiliacion = $('#entidad_afiliacion #vCat_Entidades').val();
      var Certificado_nac = $('#CUN').val();
      var GpoSanguineo = $('#vCat_GrupoSanguineo').val();
      var Dificultad = $('#edit_vCat_Dificultad #vCat_Dificultad').val();  

      var GradoDificultad = $('#edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();  
      var OrigenDificultad = $('#edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();  
      var Dependencia = $('#vCat_Dependencia').val();  
      var Programa = $('#vCat_Programa').val(); 
      var TipoBeneficiario = $('#vCat_TipoBeneficiario').val();

      var Ocupacion = $('#vCat_Ocupacion').val();
      var Religion = $('#vCat_Religion').val();
      var Nacionalidad = $('#vCat_Nacionalidad').val();
      var EntidadNacimiento = $('#edit_vCat_Entidades_nac #vCat_Entidades').val();  
      var HablaLengInd = $('input:radio[name=hablaLengInd]:checked').val();

      if (HablaLengInd === undefined){
        HablaLengInd = 3;  }
      else   {
         HablaLengInd = HablaLengInd;
      } 

      var SeConsideraIndigena = $('#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena').val(); 

      var TipoLengua = $('#lenguasIndDiv #vCat_LenguasIndigenas').val();  
      var Nombres = $('#txtNombres').val();
      var PrimerAp = $('#txtPrimerAp').val();
      var SegundoAp = $('#txtSegundoAp').val();
      var FNac = $('#txtFNac').val();
      var HoraNac = $('#HoraNac').val();
      var Sexo = $('#edit_vCat_Sexo #vCat_Sexo').val();  
      var Genero = $('#edit_vCat_Genero #vCat_Genero').val(); 
      var SexoCurp = $('#edit_vCat_SexoCurp #vCat_SexoCurp').val(); 
      var PerteneceIndigena = $('#indigena').val();
      var PerteneceMigrante = '0'; //$('#migrante').val();
      var PerteneceProspera = $('#prospera').val();

      var migrante = $('#edit_vCat_TipoMigrante #vCat_TipoMigrante').val(); 
      var paisProcedencia = $('#edit_vCat_PaisProcedencia #vCat_Nacionalidad').val(); 

      var FolioProspera = '0';
      var ConsecutivoProspera = '0'; 
      var Pais = $('#tab_1 #vCat_Paises').val();
      var EntidadFederativa = $('#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades').val();  
      var MunicipioDom = $('#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios').val();  
      var LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidad').val();  
      if (LocalidadDom === undefined){
        LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades').val();  }
      else   {
         LocalidadDom = LocalidadDom;
      } 

     var otra_localidad = $('#tab_1 #cnt_otra_localidad #txt_otralocalidad').val(); 

      var AceptaVisitaDom = $('#tab_1 #AceptaVisitaDom').val();  
      var CodigoPostal = $('#tab_1 #edit_vCat_CPostal_dom #vCat_CodigosPostales').val();
      if (CodigoPostal === undefined){
        CodigoPostal=''; }
      else   {
         CodigoPostal = CodigoPostal.substring(0, 5);
      } 
     
      var TipoAsentamiento = $('#tab_1 #edit_vCat_TipoAsent_dom #vCat_TipoAsentamiento').val();
      var Asentamiento = $('#tab_1 #edit_vCat_Asentamiento_dom #vCat_Asentamientos').val();  
      var TipoVialidad = $('#tab_1 #edit_vCat_TipoVialidad_dom #vCat_TipoVialidad').val();  
      var Calle = $('#tab_1 #txtCalle').val();
      
      var NumExterior = $('#tab_1 #txtNExt').val();
      var LetraExterior = $('#tab_1 #txtNExtL').val();
      var NumInterior = $('#tab_1 #txtNInt').val();
      var LetraInterior = $('#tab_1 #txtNIntL').val();
      var EntreCalles = $('#tab_1 #txtEntreCalles').val();
      var ClaveCatastral = $('#tab_1 #claveCatastralResidencia').val();
      var Telefono = $('#tab_1 #txtTelefono').val();
      var Celular = $('#tab_1 #txtCelular').val();
      var Email =  $('#tab_1 #txtEmail').val();

      if (Certificado_nac ==''){
       Certificado_nac ='';
      }
     
     if (FolioProspera =='0'){
       FolioProspera ='';
      }

       if ($('#AceptaVisitaDom').prop('checked')) {
           AceptaVisitaDom ='1';
           } else {
            AceptaVisitaDom ='0';
           }

       



     /* if (EntidadAfiliacion ==''){
        $.notify("Favor de capturar -Entidad de Afiliación-");
         $("#entidad_afiliacion #vCat_Entidades").focus();
        return false
      }
    */
    /*  if (TipoBeneficiario ==''){
        $.notify("Favor de capturar -Tipo de Beneficiario-");
         $("#vCat_TipoBeneficiario").focus();
        return false
      } */

      if (EntidadNacimiento ==''){
        $.notify("Favor de capturar -Entidad de Nacimiento-");
         $("#edit_vCat_Entidades_nac #vCat_Entidades").focus();
        return false
      }

      if (Nacionalidad ==''){
        $.notify("Favor de capturar -Nacionalidad-");
         $("#vCat_Nacionalidad").focus();
        return false
      }

    
 

      if(Nombres.length < 2){
        $.notify("Es necesario que proporcione -Nombre completo-", "error");
        $('#txtNombres').focus();
        return false;
      } 
    
     if(PrimerAp.length < 2){
        $.notify("Es necesario que proporcione -Primer Apellido-", "error");
        $('#txtPrimerAp').focus();
        return false;
      } 
     

      if(FNac.length < 10){
        $.notify("Es necesario que proporcione -Fecha de Nacimiento-", "error");
        $('#txtFNac').focus();
        return false;
      } 

      if (Sexo ==''){
        $.notify("Favor de capturar -Sexo-");
         $("#edit_vCat_Sexo #vCat_Sexo").focus();
      return false
      }

      if (Genero =='' && tipo == '1'){
        $.notify("Favor de capturar -Género-");
         $("#edit_vCat_Genero #vCat_Genero").focus();
      return false
      }

      if (SexoCurp ==''){
        $.notify("Favor de capturar -Sexo CURP-");
         $("#edit_vCat_SexoCurp #vCat_SexoCurp").focus();
      return false
      }
      
      var afromexicano = $('#edit_vCat_Afromexicano #vCat_Afromexicano').val(); 

      /* if (SeConsideraIndigena =='' ){
          $.notify("Favor de capturar si se considera Indigena");
          $("#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena").focus();
          return false
        }

       if (migrante =='' && tipo =='1'){
          $.notify("Favor de capturar si es migrante");
          $("#edit_vCat_TipoMigrante #vCat_TipoMigrante").focus();
          return false
        }

        if (afromexicano =='' ){
          $.notify("Favor de capturar si es afromexicano");
          $("#edit_vCat_Afromexicano #vCat_Afromexicano").focus();
          return false
        }

        */

     if (EntidadFederativa =='' && tipo =='2'){
        $.notify("Favor de capturar -Entidad Federativa-");
         $("#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades").focus();
      return false
      }
      

      if (MunicipioDom =='' && tipo =='2'){
        $.notify("Favor de capturar -Municipio-");
         $("#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios").focus();
      return false
      }
       
      if (LocalidadDom =='' && tipo =='2' ){
        $.notify("Favor de capturar -Localidad-");
         $("#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades").focus();
      return false
      }
      /* 
      if(Calle.length < 2){
        $.notify("Es necesario que proporcione -calle- del domicilio", "error");
        $('#tab_1 #txtCalle').focus();
        return false;
      } 

     
      if (Asentamiento ==''){
        $.notify("Favor de capturar el Asentamiento del paciente");
         $("#tab_1 #edit_vCat_Asentamiento_dom #vCat_Asentamientos").focus();
      return false
      }
      
      
      */
   
    /*  if(EntreCalles.length < 2){
        $.notify("Es necesario que proporcione -Entre calles- del domicilio", "error");
        $('#tab_1 #txtEntreCalles').focus();
        return false;
      } 
 
     */
      /* if (CodigoPostal =='' ){
          $.notify("Favor de capturar el código postal");
          $("#edit_vCat_CPostal_dom #vCat_CodigosPostales").focus();
          return false
        }
      if (TipoVialidad =='' && tipo == '2'){
        $.notify("Favor de capturar el Tipo de vialidad del paciente");
        $("#tab_1 #edit_vCat_TipoVialidad_dom #vCat_TipoVialidad").focus();
      return false
      }
      */

      if(Celular.length == 0 && Telefono.length == 0 && tipo == '2') {
        $.notify("Es necesario que proporcione Teléfono de contacto del paciente completo a 10 dígitos", "error");
        $('#tab_1 #txtTelefono').focus();
        return false;
      }

      if(Telefono.length > 0 && Telefono.length < 10 && tipo == '2') {
        $.notify("Es necesario que proporcione Teléfono del paciente completo a 10 dígitos", "error");
        $('#tab_1 #txtTelefono').focus();
        return false;
      }

      if(Celular.length > 0 && Celular.length < 10 && tipo == '2') {
        $.notify("Es necesario que proporcione Teléfono celular del paciente completo a 10 dígitos", "error");
        $('#tab_1 #txtCelular').focus();
        return false;
      }


      var NombresEmergencia = $('#tab_2 #txtNombresEmerg').val(); 
      var PrimerApEmergencia = $('#tab_2 #txtPrimerApEmerg').val();
      var SegundoApEmergencia = $('#tab_2 #txtSegundoApEmerg').val();
      var ParentescoEmergencia = $('#tab_2 #vCat_Parentescos').val();
      var PaisResidenciaEmergencia = $('#tab_2 #vCat_Paises').val();

     
      var EntidadEmergencia = $('#tab_2 #entFedEmerg #edit_vCat_Entidades_fed_emer #vCat_Entidades').val();
      var MunicipioEmergencia = $('#tab_2 #edit_vCat_Municipio_emer #vCat_Municipios').val();
      var LocalidadEmergencia = $('#tab_2 #edit_vCat_Localidad_emer #vCat_Localidad ').val();
      if (LocalidadEmergencia === undefined){
        LocalidadEmergencia='';
      } 
      var localidad_emer = $('#tab_2 #localidad_emer').val();

      var CodigoPostalEmergencia = $('#tab_2 #edit_vCat_CPostal_emer #vCat_CodigosPostales').val();
      if (CodigoPostalEmergencia === undefined){
        CodigoPostalEmergencia='';
      } else {
          CodigoPostalEmergencia = CodigoPostalEmergencia.substring(0, 5);
      } 
      var cp_emer = $('#tab_2 #cp_emer').val();
     

      var TipoAsentamientoEmergencia = $('#tab_2 #tipoAsentamiento_eme #vCat_TipoAsentamiento').val();

      var AsentamientoEmergencia = $('#tab_2 #edit_vCat_Asentamiento_eme #vCat_Asentamientos').val();
      var asentEmerg = $('#tab_2 #asentamiento_eme').val();
     
      if (AsentamientoEmergencia === undefined){
        AsentamientoEmergencia='';
      } 

      var TipoVialidadEmergencia = $('#tab_2 #tipoVialidad_eme #vCat_TipoVialidad').val();
      var CalleEmergencia = $('#tab_2 #CalleEmergencia').val();
      var NumExteriorEmergencia = $('#tab_2 #txtNExtEmer').val();
      var LetraExteriorEmergencia= $('#tab_2 #txtNExtLetEmer').val();
      var NumInteriorEmergencia = $('#tab_2 #txtNIntEmer').val();

      var LetraInteriorEmergencia = $('#tab_2 #txtNIntLetEmer').val();
      var TelefonoEmergencia = $('#tab_2 #TelefonoEmergencia').val();
      var TelefonoCelularEmergencia = $('#tab_2 #TelefonoCelularEmergencia').val();
      var EmailEmergencia = $('#tab_2 #EmailEmergencia').val();
      var poliza ='';

  

        PerteneceIndigena ='0';
        PerteneceProspera = '0';
        PerteneceMigrante = '0';
         
        if ($('#indigena').prop('checked')) {
           PerteneceIndigena ='1';
        }
         
        if ($('#prospera').prop('checked')) {
           PerteneceProspera ='1';
           FolioProspera = $('#folio_prospera').val();  
           ConsecutivoProspera = $('#ConsecutivoProspera').val(); 
        }

        if ($('#migrante').prop('checked')) {
           PerteneceMigrante ='1';
        }
        
       /* if (PerteneceProspera== '1' &&  FolioProspera.length < 14) {
          $.notify("Es necesario que proporcione -Folio Prospera- completo, mínimo 14 caracteres", "error");
          $('#folio_prospera').focus();
          return false;
        } */

        if(Dificultad=='9') {
          GradoDificultad ='9';
          OrigenDificultad ='9';
        }

      var fnac= FNac + ' ' + HoraNac;

      

      if (NombresEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar el Nombre del contacto de emergencia del paciente");
        $("#tab_2 #txtNombresEmerg").focus();
      return false
      }

      if (PrimerApEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar Primer Apellido del contacto de emergencia del paciente");
        $("#tab_2 #txtPrimerApEmerg").focus();
      return false
      }

      if (EntidadEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar la Entidad Federativa del contacto de emergencia del paciente");
        $("#tab_2 #entFedEmerg #edit_vCat_Entidades_fed_emer #vCat_Entidades").focus();
      return false
      }


      if (MunicipioEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar el Municipio del contacto de emergencia del paciente");
        $("#tab_2 #edit_vCat_Municipio_emer #vCat_Municipios").focus();
      return false
      }

      if (LocalidadEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar la Localidad del contacto de emergencia del paciente");
        $("#tab_2 #edit_vCat_Localidad_emer #vCat_Localidad").focus();
      return false
      }

      if (TipoVialidadEmergencia =='' && tipo == '2'){
        $.notify("Favor de capturar la Vialidad del contacto de emergencia del paciente");
        $("#tab_2 #tipoVialidad_eme #vCat_TipoVialidad").focus();
      return false
      }

      if(TelefonoCelularEmergencia.length == 0 && TelefonoEmergencia.length == 0 && tipo == '2') {
        $.notify("Es necesario que proporcione Teléfono de contacto del paciente completo a 10 dígitos", "error");
       $('#tab_2 #TelefonoEmergencia').focus();
        return false;
      }

      if(TelefonoEmergencia.length > 0 && TelefonoEmergencia.length < 10 && tipo == '2') {
        $.notify("Es necesario que proporcione -Teléfono de emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoEmergencia').focus();
        return false;
      }

      if(TelefonoCelularEmergencia.length > 0 && TelefonoCelularEmergencia.length < 10 && tipo == '2') {
        $.notify("Es necesario que proporcione -Teléfono de Celular emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoCelularEmergencia').focus();
        return false;
      }

     

  
      

    
     
        //------------------------------Envio de parametros -----------------------
      var parametros = {"centro_sal": '{!! $Centro_Sal !!}',
                        "clave_pac": clave_pac+'',
                        "NExp": $.trim(NExp)+'',
                        "Nombre": $.trim(Nombres)+'',
                        "PrimerAp": $.trim(PrimerAp)+'',
                        "SegundoAp":$.trim(SegundoAp)+'',
                        "Curp": $.trim(Curp)+'',
                        "FechaNac": $.trim(fnac)+'',
                        "HoraNac": $.trim(HoraNac)+'',
                        "CUN": $.trim(Certificado_nac)+'',
                        "Sexo": Sexo+'',
                        "GSanguineo": GpoSanguineo+'',
                        "Religion": Religion+'',
                        "EntidadNac": EntidadNacimiento+'',
                        "Nacionalidad": Nacionalidad+'',
                        "TipoBeneficiario": TipoBeneficiario+'',
                        "OcupacionHab": Ocupacion+'',
                        "PerteneceIndigena":SeConsideraIndigena+'',
                        "PerteneceMigrante": $.trim(PerteneceMigrante)+'',
                        "PerteneceProspera":$.trim(PerteneceProspera)+'',
                        "FolioProspera": $.trim(FolioProspera)+'',
                        "ConsecutivoProspera": $.trim(ConsecutivoProspera)+'',
                        "HablaLIndigena": HablaLengInd+'',
                        "LenguaIndigena": TipoLengua+'',
                        "DerechoHabiencia": Derechohabiencia +'',
                        "FolioDerechoHab": $.trim(folio)+'',
                        "ConsecutivoDerechoHab": $.trim(Consecutivo)+'',
                        "VigenciaIniDerechoHab": $.trim(VigenciaIni)+'', 
                        "VigenciaFinDerechoHab": $.trim(VigenciaFin) +'',
                      //  "EntidadAfiliacion":EntidadAfiliacion +'',
                        "DependenciaAfiliacion":Dependencia +'',
                        "ClavePrograma": $.trim(Programa) +'',
                        "PaisResidencia": Pais+'',
                        "EntidadResidencia": EntidadFederativa+'',
                        "MunicipioResidencia": MunicipioDom+'',
                        "LocalidadResidencia": LocalidadDom+'',
                        "AceptaVisitaDom": AceptaVisitaDom+'',
                        "CodigoPostalResidencia": CodigoPostal+'',
                        "AsentamientoResidencia": Asentamiento+'',
                        "TipoVialidadResidencia": TipoVialidad+'',
                        "TipoAsentamientoResidencia": TipoAsentamiento+'',
                        "CalleResidencia": $.trim(Calle)+'',
                        "NumeroExtResidencia": $.trim(NumExterior)+'',
                        "LetraExtResidencia": $.trim(LetraExterior)+'',
                        "NumeroIntResidencia": $.trim(NumInterior)+'',
                        "LetraIntResidencia": $.trim(LetraInterior)+'',
                        "EntreCallesResidencia": $.trim(EntreCalles)+'',
                        "ClaveCatastralResidencia": $.trim(ClaveCatastral)+'',
                        "TelefonoResidencia": $.trim(Telefono)+'',
                        "TelefonoCelularResidencia": $.trim(Celular)+'', 
                        "EmailPaciente": $.trim(Email)+'',
                        "NombreEmergencia": $.trim(NombresEmergencia)+'', 
                        "PrimerApEmergencia": $.trim(PrimerApEmergencia)+'', 
                        "SegundoApEmergencia": $.trim(SegundoApEmergencia)+'', 
                        "ParentescoEmergencia": ParentescoEmergencia+'', 
                        "PaisEmergencia": PaisResidenciaEmergencia+'', 
                        "EntidadEmergencia": EntidadEmergencia+'', 
                        "MunicipioEmergencia": MunicipioEmergencia+'', 
                        "LocalidadEmergencia": LocalidadEmergencia+'', 
                        "CodigoPostalEmergencia": CodigoPostalEmergencia+'', 
                        "TipoAsentamientoEmergencia": TipoAsentamientoEmergencia+'', 
                        "AsentamientoEmergencia": AsentamientoEmergencia+'', 
                        "TipoVialidadEmergencia": TipoVialidadEmergencia+'', 
                        "CalleEmergencia": $.trim(CalleEmergencia)+'', 
                        "NumeroExtEmergencia": $.trim(NumExteriorEmergencia)+'', 
                        "LetraExtEmergencia": $.trim(LetraExteriorEmergencia)+'', 
                        "NumeroIntEmergencia": $.trim(NumInteriorEmergencia)+'', 
                        "LetraIntEmergencia": $.trim(LetraInteriorEmergencia)+'', 
                        "TelefonoEmergencia": $.trim(TelefonoEmergencia)+'', 
                        "TelefonoCelularEmergencia": $.trim(TelefonoCelularEmergencia)+'', 
                        "EmailEmergencia": $.trim(EmailEmergencia)+'', 
                        "ID_DIFICULTAD": Dificultad+'',
                        "poliza": $.trim(poliza)+'', 
                        "id_disc_grado": GradoDificultad+'',
                        "id_disc_origen": OrigenDificultad+'',
                        "id_genero": Genero+'',
                        "id_sexoCurp": SexoCurp+'',
                        "id_genero": Genero+'',
                        "id_sexoCurp": SexoCurp+'',
                        "id_migrante": migrante+'',
                        "id_pais_procedencia": paisProcedencia+'',
                        "afromexicano": afromexicano+'',
                        "tipo": tipo+'',
                        "otra_localidad": $.trim(otra_localidad)+'', 
                        };
      


     //console.log(parametros);
  
    jqGetAjaxShort("ActualizarFiliacion","divCmdRegistrar_pac", parametros);

  }); 

$(document).on('click', '#divCmdRegistrar_pac #cmdContinuar', function () {
   $('#divBusquedaPac #btn_buscar_bp').click(); 
  }); 



</script>
@endsection





